com.google.gwt.core.client

## Enum CodeDownloadException.Reason

- java.lang.Object
- - java.lang.Enum<CodeDownloadException.Reason>
  - - com.google.gwt.core.client.CodeDownloadException.Reason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CodeDownloadException.Reason>
  Enclosing class:
    CodeDownloadException

      public static enum CodeDownloadException.Reason
      extends java.lang.Enum<CodeDownloadException.Reason>

  Reason codes for the interruption of code down load. These can be due to missing resource or server not responding or user switching to a new page indicating resource doesn't need to be down loaded.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TERMINATED` Generic code for terminating the download.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CodeDownloadException.Reason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodeDownloadException.Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TERMINATED

          public static final CodeDownloadException.Reason TERMINATED

      Generic code for terminating the download.

  - ### Method Detail

    - #### values

          public static CodeDownloadException.Reason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodeDownloadException.Reason c : CodeDownloadException.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodeDownloadException.Reason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null